<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setSmartSupplyOption](./bitburner.warehouseapi.setsmartsupplyoption.md)

## WarehouseAPI.setSmartSupplyOption() method

Set whether smart supply uses leftovers before buying.

**Signature:**

```typescript
setSmartSupplyOption(
    divisionName: string,
    city: CityName,
    materialName: CorpMaterialName,
    option: CorpSmartSupplyOption,
  ): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  materialName | [CorpMaterialName](./bitburner.corpmaterialname.md) | Name of the material |
|  option | [CorpSmartSupplyOption](./bitburner.corpsmartsupplyoption.md) | Smart supply option. Set "leftovers" to use leftovers, "imports" to use only imported materials, and "none" to not use stored materials. |

**Returns:**

void

## Remarks

RAM cost: 20 GB

